Package io.vertx.rxjava3.httpproxy.interceptors

## Class BodyInterceptor

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.interceptors.BodyInterceptor

-     public class BodyInterceptor
      extends Object

  Used to create interceptors to modify request and response bodies.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BodyInterceptor>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BodyInterceptor​(BodyInterceptor delegate)` |
    `BodyInterceptor​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `BodyInterceptor` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ProxyInterceptor` | `modifyBody​(BodyTransformer requestTransformer, BodyTransformer responseTransformer)` | Apply callbacks to change the request and response bodies when the proxy receives them.
    `static ProxyInterceptor` | `modifyRequestBody​(BodyTransformer requestTransformer)` | Apply callbacks to change the request body when the proxy receives it.
    `static ProxyInterceptor` | `modifyResponseBody​(BodyTransformer responseTransformer)` | Apply callbacks to change the response body when the proxy receives it.
    `static BodyInterceptor` | `newInstance​(BodyInterceptor arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BodyInterceptor> __TYPE_ARG

  - ### Constructor Detail

    - #### BodyInterceptor

          public BodyInterceptor​(BodyInterceptor delegate)

    - #### BodyInterceptor

          public BodyInterceptor​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BodyInterceptor getDelegate()

    - #### modifyBody

          public static ProxyInterceptor modifyBody​(BodyTransformer requestTransformer,
                                                    BodyTransformer responseTransformer)

      Apply callbacks to change the request and response bodies when the proxy receives them.
      Parameters:
        `requestTransformer` - the operation to apply to the request body
        `responseTransformer` - the operation to apply to the response body
      Returns:
        the created interceptor

    - #### modifyRequestBody

          public static ProxyInterceptor modifyRequestBody​(BodyTransformer requestTransformer)

      Apply callbacks to change the request body when the proxy receives it.
      Parameters:
        `requestTransformer` - the operation to apply to the request body
      Returns:
        the created interceptor

    - #### modifyResponseBody

          public static ProxyInterceptor modifyResponseBody​(BodyTransformer responseTransformer)

      Apply callbacks to change the response body when the proxy receives it.
      Parameters:
        `responseTransformer` - the operation to apply to the response body
      Returns:
        the created interceptor

    - #### newInstance

          public static BodyInterceptor newInstance​(BodyInterceptor arg)